%define apidox 0
%{?_without_apidox:%global compile_apidox 0}

Name:           grantlee
Summary:        Qt string template engine based on the Django template system
Group:          System/Libraries
Version:        0.2.0
Release:        2
License:        LGPLv2+
URL:            http://www.gitorious.org/grantlee/pages/Home
Source0:        http://downloads.%{name}.org/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:  kde4-macros
%if 0%{?apidocs}   
BuildRequires:  doxygen
%endif

%description
Grantlee is a plugin based String Template system written using the Qt framework.
The goals of the project are to make it easier for application developers to
separate the structure of documents from the data they contain, opening the door
for theming.

The syntax is intended to follow the syntax of the Django template system, and
the design of Django is reused in Grantlee. Django is covered by a BSD style license.

Part of the design of both is that application developers can extend the syntax by
implementing their own tags and filters. For details of how to do that, see the API
documentation.

For template authors, different applications using Grantlee will present the same
interface and core syntax for creating new themes. For details of how to write
templates, see the documentation.

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG COPYING.LIB README GOALS
%{_libdir}/%{name}/0.2

#--------------------------------------------------------------------

%define grantlee_gui_major 0
%define libgrantlee_gui %mklibname grantlee_gui %grantlee_gui_major

%package -n %libgrantlee_gui
Summary:	Library files for %{name}
Group:		System/Libraries

%description  -n %libgrantlee_gui
Libraries for %{name}.

%files -n %libgrantlee_gui
%defattr(-,root,root,-)
%{_libdir}/libgrantlee_gui.so.%{grantlee_gui_major}*

#--------------------------------------------------------------------

%define grantlee_core_major 0
%define libgrantlee_core %mklibname grantlee_core %grantlee_core_major

%package -n %libgrantlee_core
Summary:    Library files for %{name}
Group:      System/Libraries

%description  -n %libgrantlee_core
Libraries for %{name}.

%files -n %libgrantlee_core
%defattr(-,root,root,-)
%{_libdir}/libgrantlee_core.so.%{grantlee_core_major}*

#--------------------------------------------------------------------

%package devel
Summary:	Development files for %{name}
Group:		Development/KDE and Qt 
Requires:	%libgrantlee_gui = %{version}-%{release}
Requires:   %libgrantlee_core = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description devel
Libraries and header files to develop applications that use %{name}.

%files devel
%defattr(-,root,root,-)
%{_libdir}/cmake/grantlee/*.cmake
%{_includedir}/%{name}
%{_includedir}/%{name}_core.h
%{_includedir}/%{name}_templates.h
%{_libdir}/lib%{name}*.so

#--------------------------------------------------------------------

%if 0%{?apidox}
%package apidocs
Group:		Development/Documentation
Summary:	Grantlee API documentation

%description apidocs
This package includes the Grantlee API documentation in HTML
format for easy browsing.

%files apidocs
%doc %{_docdir}/HTML/en/grantlee-apidocs
%endif
#--------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}

%build
%cmake_kde4

%make
%if 0%{?apidox}
make docs
%endif

%install
%makeinstall_std -C build

%if 0%{?apidox}
mkdir -p %{buildroot}%{_docdir}/HTML/en/grantlee-apidocs
cp -prf build/apidocs/html/* %{buildroot}%{_docdir}/HTML/en/%{name}-apidocs
%endif


%changelog
* Fri Jan 13 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.2.0-2
+ Revision: 760642
- spec cleaned, rel bump

  + Sergey Zhemoitel <serg@mandriva.org>
    - add new version 0.2.0

* Fri Oct 07 2011 Funda Wang <fwang@mandriva.org> 0.1.9-1
+ Revision: 703394
- new version 0.1.9

* Sun Apr 10 2011 Funda Wang <fwang@mandriva.org> 0.1.8-1
+ Revision: 652197
- new version 0.1.8

* Tue Aug 03 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.4-1mdv2011.0
+ Revision: 565191
- Fix groups
- Add Buildrequires
- Fix groups
- New version 0.1.4
  Adapt Spec file to kde policy
- start to clean the spec file ( next step => clean lib package)

  + Zé <ze@mandriva.org>
    - add needed changes to for a correct packaging policy (library files in a lib packge) and fix the apidox variable name and enable it to build since its tested.
    - import grantlee

